On Sat, Apr 7, 2012 at 3:10 AM, David Kalnischkies
<kalnischkies+deb...@gmail.com> wrote:
> In bug #667599 we have a report from piuparts that APT is unable to
> upgrade delfin-dev from squeeze to wheezy.
>
> The problem is that APT has to decide in this process if it wants to
> have libhdf5-1.8 (= libhdf5-openmpi-1.8.4) or libhdf5-openmpi-7
> installed and finally decides against libhdf5-openmpi-7.
>
> Removing conflict(+provides+replaces) for libhdf5-1.8, libhdf5-1.8.4
> and libhdf5-openmpi-1.8.4 obviously prevents APT from having to
> decide between the two, so you might guess what i want to ask:
> Could you hint me at why these conflicts are in place?
>
> A quick check regarding the filelist suggests that the "old"-style 1.8.*
> versions provided a libhdf5.so.6 library while the new one provides
> libhdf5.so.7 so I wonder if these Provides are correct at all.
> At least there seem to be no file conflicts between those packages or
> did I miss the obvious?
>
> (leaving assigned to dolfin as this is just a guess)

I think this bug should be reassigned to hdf5.

FWICT, the reason we are seeing this problem with dolfin-dev is
because it depends on petsc, which again depends on hdf5.

First, I tried to do the same upgrade from squeeze to wheezy with
petsc-dev instead of dolfin-dev and I ran into the same problem as
with dolfin-dev:

  The following packages will be REMOVED:
    libept1 libpetsc3.1 libpetsc3.1-dev petsc-dev

Now, petsc-dev (or actually libpetsc3.2-dev) depends on
libhdf5-mpi-dev and I did the same upgrade with this package,
resulting in:

  The following packages will be REMOVED:
    libept1 libhdf5-mpi-dev libhdf5-openmpi-1.8.4 libhdf5-openmpi-dev
libjpeg62-dev

Let me quote the initial message in this bug report:

"Ouch! apt shouldn't remove the package that is to be tested (and can
be installed in clean wheezy without problems)."

There are also similar problems with most (if not all) of the packages
that rdepends on libhdf5-openmpi-1.8.4 in squeeze.

So, can can this bug be reassigned to hdf5?

Best regards,

Johannes

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to